# Generated by Django 4.1.7 on 2023-03-21 19:43

import core.models
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Code',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('slug', models.SlugField(default=core.models.auto_gen_slug, editable=False, help_text='A short label containing only letters, numbers, underscores or hyphens.', max_length=255, unique=True, verbose_name='Slug')),
                ('content', models.TextField()),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created')),
                ('updated', models.DateTimeField(auto_now=True, verbose_name='Updated')),
            ],
            options={
                'verbose_name': 'Code',
                'verbose_name_plural': 'Codes',
                'ordering': ('-created',),
            },
        ),
    ]
